INSERT INTO Auteur (prenom, nom, anneeNaissance) VALUES 
('Jane', 'Austen', 1775), 
('Charles', 'Dickens', 1812), 
('F. Scott', 'Fitzgerald', 1896), 
('Ernest', 'Hemingway', 1899), 
('Leo', 'Tolstoy', 1828), 
('Mark', 'Twain', 1835), 
('J.K.', 'Rowling', 1965), 
('J.R.R.', 'Tolkien', 1892), 
('Gabriel', 'García Márquez', 1927), 
('Harper', 'Lee', 1926), 
('Virginia', 'Woolf', 1882), 
('Kurt', 'Vonnegut', 1922), 
('J.D.', 'Salinger', 1919), 
('Ray', 'Bradbury', 1920), 
('Herman', 'Melville', 1819), 
('George', 'Eliot', 1819), 
('Oscar', 'Wilde', 1854), 
('Isaac', 'Asimov', 1920), 
('Stephen', 'King', 1947), 
('Margaret', 'Atwood', 1939),
-- Nouveaux auteurs
('Albert', 'Camus', 1913), 
('George', 'Orwell', 1903), 
('Franz', 'Kafka', 1883), 
('Marcel', 'Proust', 1871), 
('Jean-Paul', 'Sartre', 1905), 
('Simone', 'de Beauvoir', 1908), 
('Aldous', 'Huxley', 1894), 
('Nathalie', 'Sarraute', 1900), 
('Yukio', 'Mishima', 1925), 
('Toni', 'Morrison', 1931);

-- Association correcte des œuvres avec leurs auteurs
INSERT INTO Oeuvre (titre, anneePremiereParution, auteurs_ids, mots_cles) VALUES 
('Orgueil et Préjugés', 1813, "1", 'romance,mariage,classe,société,amour'), 
('Les Grandes Espérances', 1861, "2", 'richesse,ambition,mystère,justice,crime'), 
('Gatsby le Magnifique', 1925, "3", 'rêve américain,richesse,amour,tragedie,société'), 
('Le Vieil Homme et la Mer', 1952, "4", 'courage,lutte,nature,mer,espoir'), 
('Guerre et Paix', 1869, "5", 'guerre,paix,histoire,amour,famille'), 
('Les Aventures de Tom Sawyer', 1876, "6", 'aventure,enfance,amitié,Mississippi,humour'), 
('Harry Potter à l\'École des Sorciers', 1997, "7", 'magie,amitié,aventure,école,courage'), 
('Le Hobbit', 1937, "8", 'aventure,fantaisie,héroïsme,amitié,quête'), 
('Cent Ans de Solitude', 1967, "9", 'famille,réalisme magique,histoire,Colombie,temps'), 
('Ne Tirez Pas Sur l\'Oiseau Moqueur', 1960, "10", 'racisme,justice,innocence,croissance,moralité'), 
('Mrs Dalloway', 1925, "11", 'société,esprit,guerre,temps,féminisme'), 
('Abattoir 5', 1969, "12", 'guerre,voyage dans le temps,aliénation,libre arbitre,trauma'), 
('Fahrenheit 451', 1953, "13", 'dystopie,censure,liberté,livres,technologie'), 
('Moby Dick', 1851, "14", 'obsession,nature,vengeance,mer,aventure'), 
('Middlemarch', 1871, "15", 'société,amour,ambition,moralité,mariage'), 
('Le Portrait de Dorian Gray', 1890, "16", 'beauté,corruption,moralité,vanité,art'), 
('Fondation', 1951, "18", 'science,empire,espace,avenir,histoire'), 
('Shining', 1977, "19", 'horreur,psychologie,folie,famille,surnaturel'), 
('La Servante Écarlate', 1985, "20", 'dystopie,femmes,liberté,oppression,survie'), 
('La Route', 2006, "19", 'survie,apocalypse,espoir,paternité,isolation'),
-- Nouvelles œuvres associées avec les bons auteurs
('L\'Étranger', 1942, "21", 'absurde,existentialisme,isolation,mort,liberté'), 
('1984', 1949, "22", 'dystopie,totalitarisme,liberté,contrôle,surveillance'), 
('Le Procès', 1925, "23", 'justice,absurde,angoisse,culpabilité,pouvoir'), 
('À la recherche du temps perdu', 1913, "24", 'mémoire,temps,nostalgie,amour,société'), 
('La Nausée', 1938, "25", 'existentialisme,absurde,liberté,angoisse,réflexion'), 
('Le Deuxième Sexe', 1949, "26", 'féminisme,genre,égalité,société,liberté'), 
('Le Meilleur des mondes', 1932, "27", 'dystopie,technologie,contrôle,liberté,avenir'), 
('Enfance', 1983, "28", 'famille,mémoire,identité,écriture,nostalgie'), 
('Confession d\'un masque', 1949, "29", 'identité,sexualité,culture,honneur,douleur'), 
('Beloved', 1987, "30", 'esclavage,trauma,famille,mémoire,racisme');

-- Ajout des éditions pour ces œuvres
INSERT INTO Edition (nomEditeur, anneeEdition, isbn, oeuvre_id) VALUES 
('Penguin Classics', 2005, '9780141439518', 1), 
('Chapman and Hall', 1861, '9780141439563', 2), 
('Scribner', 1925, '9780743273565', 3), 
('Charles Scribner’s Sons', 1952, '9780684801223', 4), 
('The Russian Messenger', 1869, '9780199232765', 5), 
('American Publishing Company', 1876, '9781435110022', 6), 
('Bloomsbury', 1997, '9780747532743', 7), 
('Houghton Mifflin Harcourt', 1937, '9780618968633', 8), 
('Harper & Row', 1967, '9780060883287', 9), 
('J.B. Lippincott & Co.', 1960, '9780060935467', 10), 
('Hogarth Press', 1925, '9780701201290', 11), 
('Delta', 1991, '9780553283689', 12), 
('Ballantine Books', 1997, '9780345379628', 13), 
('HarperCollins', 1851, '9780142437247', 14), 
('Blackwood', 1871, '9780199573439', 15), 
('Ward, Lock & Co.', 1890, '9780141439518', 16), 
('Gnome Press', 1951, '9780345450474', 17), 
('Doubleday', 1977, '9780385121675', 18), 
('McClelland & Stewart', 1985, '9780771022765', 19), 
-- Nouvelles éditions
('Gallimard', 1942, '9782070360024', 21), 
('Secker & Warburg', 1949, '9780451524935', 22), 
('Gallimard', 1925, '9782070360130', 23), 
('Grasset', 1913, '9782246173718', 24), 
('Gallimard', 1938, '9782070367108', 25), 
('Gallimard', 1949, '9782070324248', 26), 
('Chatto & Windus', 1932, '9782070298907', 27), 
('Gallimard', 1983, '9782070321246', 28), 
('Gallimard', 1949, '9782070379476', 29), 
('Knopf', 1987, '9781400033416', 30);

-- Ajout d’un exemplaire pour chaque édition
INSERT INTO Exemplaire (edition_id) VALUES
(1), (2), (3), (4), (4), (5), 
(6), (7), (8), (9), (10), (10), 
(11), (12), (13), (14), (15), 
(16), (17), (18), (19), (21), 
(22), (23), (24), (25), (26), 
(27), (28), (29);