# **Projet de Base de Données : Bibliothèque**

Ce projet est une base de données SQL conçue pour gérer les informations d’une bibliothèque. Elle inclut les informations sur les auteurs, les œuvres, les éditions, les exemplaires, ainsi que les usagers et leurs emprunts.

### **Sommaire**

- [Aperçu du Projet](#aperçu-du-projet)
- [Installation](#installation)
- [Schéma de la Base de Données](#schéma-de-la-base-de-données)
- [Jeu de Données](#jeu-de-données)
- [Fonctionnalités](#fonctionnalités)

### **Aperçu du Projet**

La base de données permet de suivre les informations d’une bibliothèque. Elle comprend :

- Les auteurs et leurs informations de base (nom, prénom, année de naissance). 
- Les œuvres (titres, année de première parution, mots-clés, et auteurs associés).
- Les éditions des œuvres, avec des informations sur l’éditeur, l’année d’édition et l’ISBN.
- Les exemplaires d’éditions disponibles dans la bibliothèque.
- Les usagers, incluant leur statut de liste rouge et leur catégorie.
- Les emprunts effectués par les usagers et leur statut (rendu ou non rendu).

![Diagramme.png](Diagramme.png)

### **Installation**

#### 1.	Cloner le projet :

`git clone https://gitlab-student.centralesupelec.fr/sami.rabinovitch/biblio.git`

`cd projet-bibliotheque`


#### 2.	Configurer et initialiser la base de données :

- Assurez-vous d’avoir _**MySQL**_ installé et en cours d’exécution.
- Connectez-vous à _**MySQL**_ et créez la base de données en exécutant les fichiers du dossier _**ExecuteSQL**_ (d'abord _**Biblio.sql**_ puis **_RemplissageDataBase.sql_**).
- Remplacez nom_utilisateur dans DataBaseConnection par votre nom d’utilisateur _**MySQL**_.
- Assurez-vous de bien utiliser la version **22** de _Java_.
- Exécuter _**HelloApplication.java**_ pour lancer l'application.
- Pour se connecter au compte Gestionnaire initial, connectez-vous avec l'adresse _**gestion@bibliotheque.fr**_ et le mot de passe _**gestion**_.
    

### **Schéma de la Base de Données**

Le schéma de la base de données est organisé de la manière suivante :

- **Auteur** : Informations sur chaque auteur.
- **Œuvre** : Détails sur chaque œuvre, reliée aux auteurs.
- **Edition** : Détails sur les éditions des œuvres.
- **Exemplaire** : Instances physiques des éditions dans la bibliothèque.
- **Usager** : Informations sur les usagers inscrits à la bibliothèque.
- **Emprunt** : Enregistre les emprunts réalisés par les usagers.
- **ListeRouge** : Historique des usagers placés en liste rouge.

### **Jeu de Données**

Le jeu de données initial comprend :

- Des œuvres emblématiques associées aux auteurs.
- Des éditions pour chaque œuvre.
- Des exemplaires pour chaque édition, limités à un ou deux par édition.
- Des catégories d’usagers avec des droits spécifiques.

### **Fonctionnalités**

- Gérer les informations des auteurs : Ajouter, supprimer et modifier les informations d’auteurs.
- Gérer les œuvres et éditions : Suivre les éditions et exemplaires pour chaque œuvre.
- Gestion des usagers : Créer des profils d’usagers, les catégoriser (classique, premium, gestionnaire) et gérer les statuts de liste rouge.
- Gestion des emprunts : Suivre les emprunts, avec des informations sur les dates de retour et les retards.
- Recherche d’exemplaires disponibles : Identifier les exemplaires disponibles ou empruntés.


Créé par _Sami Rabinovitch_