package com.example.biblio;

import com.mysql.cj.conf.StringProperty;
import javafx.beans.property.SimpleStringProperty;

import java.sql.Connection;
import java.sql.PreparedStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class Auteur {
    private int id;
    private String prenom;
    private String nom;
    private int anneeNaissance;

    public Auteur() {}

    public Auteur(String prenom, String nom, int anneeNaissance) {
        this.prenom = prenom;
        this.nom = nom;
        this.anneeNaissance = anneeNaissance;
    }

    public static Auteur getAuteurById(int auteurId) throws SQLException {
        Auteur auteur = null;
        String query = "SELECT * FROM Auteur WHERE id = ?";
        DatabaseConnection databaseConnection = new DatabaseConnection();
        Connection connection = databaseConnection.connect();

        try (PreparedStatement preparedStatement = connection.prepareStatement(query)) {
            preparedStatement.setInt(1, auteurId);

            ResultSet resultSet = preparedStatement.executeQuery();

            if (resultSet.next()) {
                auteur = new Auteur();
                auteur.setId(resultSet.getInt("id"));
                auteur.setPrenom(resultSet.getString("prenom"));
                auteur.setNom(resultSet.getString("nom"));
                auteur.setAnneeNaissance(resultSet.getInt("anneeNaissance"));
            }
        }

        return auteur;
    }
    @Override
    public String toString() {
        return prenom + " " + nom;  // Afficher le prénom et le nom dans la ComboBox
    }

    // Getters et Setters

    public void setAnneeNaissance(int anneeNaissance) {
        this.anneeNaissance = anneeNaissance;
    }

    public void setPrenom(String prenom) {
        this.prenom = prenom;
    }

    public void setNom(String nom) {
        this.nom = nom;
    }

    public String getPrenom() {
        return prenom;
    }

    public String getNom() {
        return nom;
    }

    public int getAnneeNaissance() {
        return anneeNaissance;
    }

    public int getId() {
        return id;
    }
    public void setId(int id) {
        this.id = id;
    }
}

