package com.example.biblio;
import java.sql.*;
import java.util.ArrayList;
import java.util.List;


public class Emprunt {
    private int id;
    private Date dateEmprunt;
    private Date dateRetour;
    private Usager usager;
    private int exemplaireId;
    private String titre;
    private static DatabaseConnection databaseConnection;
    private Boolean rendu;

    public Emprunt() {}

    public Emprunt(int id, Date dateEmprunt, Date dateRetour, Usager usager, int exemplaireId) {
        this.id = id;
        this.dateEmprunt = dateEmprunt;
        this.dateRetour = dateRetour;
        this.usager = usager;
        this.exemplaireId = exemplaireId;
    }

    public static List<Emprunt> getEmprunts() {
        databaseConnection = new DatabaseConnection();
        List<Emprunt> emprunts = new ArrayList<>();
        String query = "SELECT em.*, o.titre " +
                "FROM Emprunt em " +
                "JOIN Exemplaire ex ON em.exemplaire_id = ex.id " +
                "JOIN Edition ed ON ex.edition_id = ed.id " +
                "JOIN Oeuvre o ON ed.oeuvre_id = o.id";

        try (Connection connection = databaseConnection.connect();
             Statement statement = connection.createStatement();
             ResultSet resultSet = statement.executeQuery(query)) {

            while (resultSet.next()) {
                Emprunt emprunt = new Emprunt();
                emprunt.setId(resultSet.getInt("em.id"));
                emprunt.setUsager(UsagerService.getUsagerById(Integer.parseInt(resultSet.getString("em.usager_id"))));
                emprunt.setDateEmprunt(resultSet.getDate("em.dateEmprunt"));
                emprunt.setDateRetour(resultSet.getDate("em.dateRetour"));
                emprunt.setExemplaireId(Integer.parseInt(resultSet.getString("em.exemplaire_id")));
                emprunt.setRendu(resultSet.getBoolean("em.rendu"));
                emprunt.setTitre(resultSet.getString("o.titre"));
                emprunts.add(emprunt);
            }
        } catch (SQLException e) {
            System.err.println("Erreur lors de la récupération des emprunts : " + e.getMessage());
        }
        return emprunts;
    }

    // Getters et Setters
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Date getDateEmprunt() {
        return dateEmprunt;
    }

    public void setDateEmprunt(Date dateEmprunt) {
        this.dateEmprunt = dateEmprunt;
    }

    public Date getDateRetour() {
        return dateRetour;
    }

    public void setDateRetour(Date dateRetour) {
        this.dateRetour = dateRetour;
    }

    public Usager getUsager() {
        return usager;
    }

    public void setUsager(Usager usager) {
        this.usager = usager;
    }

    public int getExemplaireId() {
        return exemplaireId;
    }

    public void setExemplaireId(int exemplaireId) {
        this.exemplaireId = exemplaireId;
    }

    public String getTitre() {
        return titre;
    }

    public void setTitre(String titre) {
        this.titre = titre;
    }


    public Boolean getRendu() {
        return rendu;
    }
    public void setRendu(Boolean rendu) {
        this.rendu = rendu;
    }
}
