package com.example.biblio;

import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.stage.Stage;

import java.io.IOException;

public class HelloApplication extends Application {

    private Scene scene;
    private static Stage primaryStage;

    @Override
    public void start(Stage stage) throws IOException {
        FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("login.fxml"));
        Scene scene = new Scene(fxmlLoader.load(), 320, 240);
        primaryStage = stage;

        // Récupérer le contrôleur et lui passer l'instance de l'application principale et le stage
        LoginController controller = fxmlLoader.getController();
        controller.setMainApp(this); // Passer l'instance de HelloApplication
        controller.setStage(stage); // Passer le stage

        stage.setMinWidth(1000);
        stage.setMinHeight(800);
        stage.setWidth(1000);
        stage.setHeight(800);
        stage.setTitle("Connexion");
        stage.setScene(scene);
        stage.show();
    }

    public static void showLoginWindow() {
        try {
            FXMLLoader fxmlLoader = new FXMLLoader(HelloApplication.class.getResource("/com/example/biblio/login.fxml"));  // Assurez-vous que le chemin est correct
            Scene scene = new Scene(fxmlLoader.load(), 600, 400);
            primaryStage.setTitle("Connexion à la Bibliothèque");
            primaryStage.setScene(scene);
            primaryStage.show();

            } catch (IOException e) {
            System.err.println("Erreur lors du chargement de la fenêtre de connexion : " + e.getMessage());
        }
    }


    public static void main(String[] args) {
        launch();
    }
}