package com.example.biblio;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;
import java.util.concurrent.atomic.AtomicInteger;

public class IdentificationGenerator {

    private static final AtomicInteger counter = new AtomicInteger(1); // Pour garder une partie unique, si nécessaire

    public static String genererNumeroIdentification(String prenom, String nom) {
        // Récupérer les initiales
        String initiales = prenom.substring(0, 1).toUpperCase() + nom.substring(0, 1).toUpperCase();

        // Formater la date de création au format ddMMyyyy
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("ddMMyyyy");
        LocalDate dateCreation = LocalDate.now();
        String dateStr = dateCreation.format(formatter);

        // Générer un nombre unique
        int uniqueId = counter.getAndIncrement();

        // Construire le numéro d'identification
        return initiales + dateStr + String.format("%04d", uniqueId);
    }
}