package com.example.biblio;

import java.sql.*;
import java.util.ArrayList;
import java.util.List;

public class ListeRouge {
    private int id;
    private Usager usager;
    private Date dateListeRouge;
    private static DatabaseConnection databaseConnection;

    public ListeRouge() {}

    public ListeRouge(int id, Usager usager, Date dateListeRouge) {
        this.id = id;
        this.usager = usager;
        this.dateListeRouge = dateListeRouge;
    }

    // Getters et Setters
    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public Usager getUsager() {
        return usager;
    }

    public void setUsager(Usager usager) {
        this.usager = usager;
    }

    public Date getDateListeRouge() {
        return dateListeRouge;
    }

    public void setDateListeRouge(Date dateListeRouge) {
        this.dateListeRouge = dateListeRouge;
    }

    public static List<ListeRouge> getHistoriqueListeRouge() {
        String query = "SELECT * FROM ListeRouge JOIN Usager ON ListeRouge.usager_id = Usager.id";
        List<ListeRouge> listeRouge = new ArrayList<>();
        databaseConnection = new DatabaseConnection();

        try (Connection connection = databaseConnection.connect();
             Statement statement = connection.createStatement();
             ResultSet resultSet = statement.executeQuery(query)) {

            while (resultSet.next()) {
                ListeRouge rouge = new ListeRouge();
                rouge.setId(resultSet.getInt("id"));
                rouge.setUsager(UsagerService.getUsagerById(Integer.parseInt(resultSet.getString("usager_id"))));
                rouge.setDateListeRouge(resultSet.getDate("dateInterdiction"));
                listeRouge.add(rouge);
            }
        } catch (SQLException e) {
            System.err.println("Erreur lors de la récupération de la liste rouge : " + e.getMessage());
        }
        return listeRouge;
    }

}
